Subject: Re: [PATCH net] mlxsw: spectrum: Fix incorrect parsing depth after reload

From: Jakub Kicinski <[email-masked]>
Date: Mon, 13 Feb 2023 13:01:27 -0800

On Sat, 11 Feb 2023 18:21:45 +0200 Ido Schimmel wrote:
> > Sounds quite odd TBH, something doesn't get de-registered during _down()
> > but is registered again during _up()?  
> 
> It's not really de-registered / registered. The FIB multipath hash
> policy isn't changed when devlink reload is issued, so the driver
> doesn't bother decrementing the parsing depth reference count. The diff
> below does decrement the reference count on reload_down(). Tested it
> without the current fix and it seems to work. If you prefer, I can send
> a v2 with this diff squashed into the current fix.

That does seem cleaner to me, less error prone in case some actual clean
up is missed later. So if you don't mind - yes, I'd prefer the patch
from your reply, thanks!